function printPdf(notes){
	
	// prepare pdf template div
	jQuery('#pdf_template').remove();
	jQuery('body').append('<div id="pdf_template" style="width:1000px;position:absolute;left:100%;top:0;"></div>');
	jQuery.get(html_template_url, function( data ){
		
		// template import
		jQuery("#pdf_template").html( data );
		
		// date string
		var date = new Date();
		var dateString = date.getUTCDate() +"/"+ (date.getUTCMonth()+1) +"/"+ date.getUTCFullYear();

		// template edit
		var pdf_values = {
			'date' : dateString,
			'notes' : notes,
			'peso' : '',
			'altezza' : '',
			'larghezza' : '',
			'profondita' : '',
			'densita' : '',
			'materiale' : configurato.materiale,
			'peso_maniglia' : configurato.materiale,
			'doubleLeft' :  configurato.doubleLeftPrint,
			'doubleRight' :  configurato.doubleRightPrint,
			'single' :  configurato.singlePrint,
			'finitura' :  configurato.finitura,
		};
		
		if(!empty(configurato.peso)) pdf_values['peso'] = configurato.peso+'Kg';
		if(!empty(configurato.altezza)) pdf_values['altezza'] = configurato.altezza+'mm';
		if(!empty(configurato.larghezza)) pdf_values['larghezza'] = configurato.larghezza+'mm';
		if(!empty(configurato.profondita)) pdf_values['profondita'] = configurato.profondita+'mm';
		if(!empty(configurato.densita)) pdf_values['densita'] = configurato.densita+'Kg/m<sup>3</sup>';

/*
		if(pdf_values['doubleLeft'] != 'N.A.') pdf_values['doubleLeft'] = pdf_values['doubleLeft']+' '+configurato.finitura;
		if(pdf_values['doubleRight'] != 'N.A.') pdf_values['doubleRight'] = pdf_values['doubleRight']+' '+configurato.finitura;
		if(pdf_values['single'] != 'N.A.') pdf_values['single'] = pdf_values['single']+' '+configurato.finitura;
*/
		
		for (var k in pdf_values){
		    if(empty(pdf_values[k])){
			    jQuery('#pdf_template').find('#value_'+k).parent('p').remove();
			}else{
				jQuery('#pdf_template').find('#value_'+k).html(pdf_values[k]);
			}
		};
		
		// pdf generation
		
		var pdfdoc = new jsPDF('p','in','a4');
		pdfdoc.addHTML(document.getElementById("pdf_template"), 0, 0, {background:"#ffffff"}, function(){
		    pdfdoc.save("Link_System_solution.pdf");
		    jQuery('#pdf_template').remove();
		});
        
	});
	
	// ga trace
	
	ga('send', {
		hitType: 'event',
		eventCategory: 'Generazione PDF',
		eventAction: 'Click',
		eventLabel: escapeHtml(configurato.finitura),
	});

}
