// jquery toggleAttr

jQuery.fn.toggleAttr = function(attr) {
	return this.each(function() {
		var $this = $(this);
		$this.attr(attr) ? $this.removeAttr(attr) : $this.attr(attr, attr);
	});
};

// nice alert function

function alertit(message,title){
	
	if(empty(title)) title = 'ALERT';
	
	var alert_box = '<div class="alert_overlay" id="alert_box">'
		+'<div class="alert_box">'
			+'<div class="alert_header">'+title+'</div>'
			+'<div class="alert_content">'
			+message
		+'</div>'
		+'<div class="alert_footer"><span class="alert_btn">OK</span></div>'
		+'</div>'
	+'</div>';
	
	jQuery('body').append(alert_box);
	jQuery('#alert_box .alert_btn').click(function(){
		jQuery('#alert_box').fadeOut(300,function(){
			jQuery(this).remove();
		});
	});
	
}

// special alert function

function specialAlertit(message,title,btn_1,btn_2){
	
	if(empty(title)) title = 'ALERT';
	
	var alert_box = '<div class="alert_overlay" id="alert_box">'
		+'<div class="alert_box">'
			+'<div class="alert_header">'+title+'</div>'
			+'<div class="alert_content">'
			+message
		+'</div>'
		+'<div class="alert_footer"><span class="alert_btn" onclick="javascript:showSection(\'dimensioni\');">'+btn_1+'</span> <a href="pdf/Link_request_form.pdf" target="_blank" download class="alert_btn">'+btn_2+'</a></div>'
		+'</div>'
	+'</div>';
	
	jQuery('body').append(alert_box);
	jQuery('#alert_box .alert_btn').click(function(){
		jQuery('#alert_box').fadeOut(300,function(){
			jQuery(this).remove();
		});
	});
	
}

// htmlspecialchars for javascript

function escapeHtml(text) {
	var map = {
		'&': '&amp;',
		'<': '&lt;',
		'>': '&gt;',
		'"': '&quot;',
		"'": '&#039;'
	};
	return text.replace(/[&<>"']/g, function(m) {
		return map[m];
	});
}
// nice prompt function

function promptit(callback,message,title){
	
	if(empty(title)) message = 'Inserisci qui eventuali note da allegare al PDF.';
	if(empty(title)) title = 'NOTE PERSONALI';
	
	var alert_box = '<div class="alert_overlay" id="alert_box">'
		+'<div class="alert_box">'
			+'<div class="alert_header">'+title+'</div>'
			+'<div class="alert_content">'
			+message
		+'<br><br><textarea id="notesTextarea" cols="10" rows="5" class="form-control"></textarea>'
		+'</div>'
		+'<div class="alert_footer"><span class="alert_btn">OK</span></div>'
		+'</div>'
	+'</div>';
	
	jQuery('body').append(alert_box);
	jQuery('#alert_box .alert_btn').click(function(){
		text = jQuery('#notesTextarea').val();
		jQuery('#alert_box').fadeOut(300,function(){
			jQuery(this).remove();
		});
		if(callback && typeof callback === "function") return callback(text);
	});
	
}

// function empty()

function empty(mixed_var) {
	var undef, key, i, len;
	var emptyValues = [undef, null, false, 0, '', '0'];
	for (i = 0, len = emptyValues.length; i < len; i++) {
		if (mixed_var === emptyValues[i]) {
			return true;
		}
	}
	if (typeof mixed_var === 'object') {
		for (key in mixed_var) {
			return false;
		}
		return true;
	}
	return false;
}

// function to find closest number in array of numbers

function find_closest(num, arr) {
	var curr = arr[0];
	arr.forEach(function(val) {
		if (Math.abs(num - val) < Math.abs(num - curr)) curr = val;
	});
	return curr;
}

// function in_array()

function in_array(needle, haystack) {
    var length = haystack.length;
    for(var i = 0; i < length; i++) {
        if(haystack[i] == needle) return true;
    }
    return false;
}
